Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.jmeter.testelement.property
Interface JMeterProperty

All Superinterfaces:
  Cloneable, Comparable<JMeterProperty>, Serializable

All Known Implementing Classes:
  AbstractProperty, BooleanProperty, CollectionProperty, DoubleProperty, FloatProperty, FunctionProperty, IntegerProperty, LongProperty, MapProperty, MultiProperty, NullProperty, NumberProperty, ObjectProperty, StringProperty, TestElementProperty

    public interface JMeterProperty

extends Serializable, Cloneable, Comparable<JMeterProperty>

Method Summary
`Object` | `clone()`
`boolean` | `getBooleanValue()`
`double` | `getDoubleValue()`
`float` | `getFloatValue()`
`int` | `getIntValue()`
`long` | `getLongValue()`
`String` | `getName()` The name of the property.
`Object` | `getObjectValue()`
`String` | `getStringValue()`
`boolean` | `isRunningVersion()` Returns whether the property is a running version.
`void` | `mergeIn(JMeterProperty prop)` Take the given property object and merge it's value with the current property object.
`void` | `recoverRunningVersion(TestElement owner)` Tell the property to revert to the state at the time setRunningVersion(true) was called.
`void` | `setName(String name)` Set the property name.
`void` | `setObjectValue(Object value)`
`void` | `setRunningVersion(boolean runningVersion)` Make the property a running version or turn it off as the running version.

Methods inherited from interface java.lang.Comparable
`compareTo`

Method Detail

### isRunningVersion

    boolean isRunningVersion()

  Returns whether the property is a running version.

  Returns:
    boolean

### getName

    String getName()

  The name of the property. Typically this should match the name that keys the property's location in the test elements Map.

  Returns:
    String

### setName

    void setName(String name)

  Set the property name.

  Parameters:
    `name` -

### setRunningVersion

    void setRunningVersion(boolean runningVersion)

  Make the property a running version or turn it off as the running version. A property that is made a running version will preserve the current state in such a way that it is retrievable by a future call to 'recoverRunningVersion()'. Additionally, a property that is a running version will resolve all functions prior to returning it's property value. A non-running version property will return functions as their uncompiled string representation.

  Parameters:
    `runningVersion` -

### recoverRunningVersion

    void recoverRunningVersion(TestElement owner)

  Tell the property to revert to the state at the time setRunningVersion(true) was called.

### mergeIn

    void mergeIn(JMeterProperty prop)

  Take the given property object and merge it's value with the current property object. For most property types, this will simply be ignored. But for collection properties and test element properties, more complex behavior is required.

  Parameters:
    `prop` -

### getIntValue

    int getIntValue()

### getLongValue

    long getLongValue()

### getDoubleValue

    double getDoubleValue()

### getFloatValue

    float getFloatValue()

### getBooleanValue

    boolean getBooleanValue()

### getStringValue

    String getStringValue()

### getObjectValue

    Object getObjectValue()

### setObjectValue

    void setObjectValue(Object value)

### clone

    Object clone()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1998-2010 Apache Software Foundation. All Rights Reserved.